#ifndef __ROCCAT_DSCALE_H__
#define __ROCCAT_DSCALE_H__

/*
 * This file is part of roccat-tools.
 *
 * roccat-tools is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * roccat-tools is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with roccat-tools. If not, see <http://www.gnu.org/licenses/>.
 */

#include <gtk/gtk.h>

G_BEGIN_DECLS

#define ROCCAT_DSCALE_TYPE (roccat_dscale_get_type())
#define ROCCAT_DSCALE(obj) (G_TYPE_CHECK_INSTANCE_CAST((obj), ROCCAT_DSCALE_TYPE, RoccatDScale))
#define IS_ROCCAT_DSCALE(obj) (G_TYPE_CHECK_INSTANCE_TYPE((obj), ROCCAT_DSCALE_TYPE))

typedef struct _RoccatDScale RoccatDScale;
typedef struct _RoccatDScalePrivate RoccatDScalePrivate;

struct _RoccatDScale {
	GtkWidget widget;
	RoccatDScalePrivate *priv;
};

GType roccat_dscale_get_type(void);
GtkWidget *roccat_dscale_new(void);

void roccat_dscale_set_min(RoccatDScale *scale, gdouble new_value);
gdouble roccat_dscale_get_min(RoccatDScale *scale);

void roccat_dscale_set_lower(RoccatDScale *scale, gdouble new_value);
gdouble roccat_dscale_get_lower(RoccatDScale *scale);

void roccat_dscale_set_upper(RoccatDScale *scale, gdouble new_value);
gdouble roccat_dscale_get_upper(RoccatDScale *scale);

void roccat_dscale_set_max(RoccatDScale *scale, gdouble new_value);
gdouble roccat_dscale_get_max(RoccatDScale *scale);

void roccat_dscale_set_fix_min(RoccatDScale *scale, gboolean new_value);
gboolean roccat_dscale_get_fix_min(RoccatDScale *scale);

void roccat_dscale_set_fix_max(RoccatDScale *scale, gboolean new_value);
gboolean roccat_dscale_get_fix_max(RoccatDScale *scale);

void roccat_dscale_set_gripping_width(RoccatDScale *scale, guint new_value);
guint roccat_dscale_get_gripping_width(RoccatDScale *scale);

void roccat_dscale_set_slowdown(RoccatDScale *scale, guint new_value);
guint roccat_dscale_get_slowdown(RoccatDScale *scale);

G_END_DECLS

#endif
